Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Deactivation of firmware upgrade warning

Discussion in 'Standard/4k Discussion' started by julien92, Sep 16, 2016.

  1. julien92

    Joined:
    Feb 20, 2016
    Messages:
    25
    Likes Received:
    5
    Location:
    France
    Hi there,

    I own a P3S.
    I was wondering if there is a way to deactivate firmware upgrade warning into DJI GO.
    For example : if I'm in 1.5.7 firmware, as 1.6.8 is available, DJI will warn me about it :
    - into the splash screen of DJI GO (OK, no problem about it)
    - but ALSO during the flight, with a big red warning at the middle top of the screen, which is really annoying

    Assuming I don't want to upgrade to the latest firmware, how can I deactivate this upgrade warning?

    Many thanks in advance! :)

    Julien
     
  2. RodPad

    Joined:
    May 20, 2015
    Messages:
    2,623
    Likes Received:
    362
    Location:
    Pacific,NorthWet, 97031
    Don't think so, I would if knew how. I only get that warning when the unit is warming up, once is safe to fly I don't at least I don't remember. :rolleyes:.
    Maybe if loose signal while flying?

    Rod
     
  3. apollo64

    Joined:
    May 28, 2016
    Messages:
    18
    Likes Received:
    0
    I get it when booting up but dont remember seeing it when flying, i would rather not do update as happy with it as is
     
  4. RodPad

    Joined:
    May 20, 2015
    Messages:
    2,623
    Likes Received:
    362
    Location:
    Pacific,NorthWet, 97031
    Thanks for your reply, but this concerns me.

    "device locked FW required"
    Which is the most reliable firmware release

    Rod
     
  5. apollo64

    Joined:
    May 28, 2016
    Messages:
    18
    Likes Received:
    0
    The way i see it a firmware update is optional, if the quad is working fine on a firmware set up why change it
     
  6. RodPad

    Joined:
    May 20, 2015
    Messages:
    2,623
    Likes Received:
    362
    Location:
    Pacific,NorthWet, 97031
    @ShivarenoP3 said,
    "HOWEVER, I got the "device locked FW required" message when I attempted to auto take off and manually take off."
    Which is the most reliable firmware release

    I thought he couldn't take off Auto or Manually. (Device Locked). Hopefully he will give us a yes or no.

    Have you ever seen Device Locked?

    Rod
     
  7. tcope

    Joined:
    Jan 29, 2015
    Messages:
    3,508
    Likes Received:
    1,386
    Location:
    Salt Lake City, UT
    That is certainly an option. However, I'll mention this as I've done before.... everyone thinks their Phantom is working just fine.... until something goes wrong. Firmware updates may add things that help and that you don't see until something is wrong. For example, when the battery is 25C you now see a warning. When it's a little lower you see a warning that the proposition is set lower as the battery is cold. If you don't have this firmware you never know if this issue... until something goes wrong.

    Just something I'm mentioning.
     
  8. apollo64

    Joined:
    May 28, 2016
    Messages:
    18
    Likes Received:
    0
    No, i have not had the "device locked", you have me thinking i should do a FW update, but with my luck it would go wrong and i would end up with a useless quad
     
  9. RodPad

    Joined:
    May 20, 2015
    Messages:
    2,623
    Likes Received:
    362
    Location:
    Pacific,NorthWet, 97031
    Not me, I am at 1.5.7, 1.6.8 came out about two days before the shipped it back, never again.

    Rod
     
    apollo64 likes this.
  10. apollo64

    Joined:
    May 28, 2016
    Messages:
    18
    Likes Received:
    0
    so your sticking to 1.5.7 pretty sure thats the one i am on